GIT-REFS(1)

NAME
git-refs - Low-level access to refs

SYNOPSIS

git refs migrate --ref-format=<format> [--dry-run]

DESCRIPTION

This command provides low-level access to refs.

COMMANDS

migrate
    Migrate ref store between different formats.

OPTIONS

The following options are specific to git refs migrate:

--ref-format=<format>
    The ref format to migrate the ref store to. Can be one of:

        • files for loose files with packed-refs. This is the default.

        • reftable for the reftable format. This format is experimental and its internals are subject to change.

--dry-run
    Perform the migration, but do not modify the repository. The migrated refs will be written into a separate directory that can be inspected separately. The name of the directory will be reported on stdout. This can be used to double check that the migration works as expected before performing the actual migration.

KNOWN LIMITATIONS

The ref format migration has several known limitations in its current form:

    • It is not possible to migrate repositories that have reflogs.

    • It is not possible to migrate repositories that have worktrees.

    • There is no way to block concurrent writes to the repository during an ongoing migration. Concurrent writes can lead to an inconsistent migrated state. Users are expected to block writes on a higher level. If your repository is registered for scheduled maintenance, it is recommended to unregister it first with git-maintenance(1).

These limitations may eventually be lifted.

GIT

Part of the git(1) suite